Summary:	OpenKiosk client application
Name:		opkdekiosk
%define libname %mklibname %{name} 2
Version:	2.0.6
Release: 	%mkrel 2
License:	GPL
Group:		Networking/Other
URL:		http://openkiosk.sourceforge.net			
Source0:	http://prdownloads.sourceforge.net/openkiosk/%{name}-%{version}.tar.bz2
Patch0:		opkdekiosk-2.0.6-make-install.patch

BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot-%{version}
Provides:	kdex11client
Obsoletes:	kdex11client
Requires:	%{libname} = %{version}

%description
The Openkiosk system is basically composed of two parts. The second part is 
simply called "The Client". It is the actual program that sits between the 
customer and the operating system interface on the workstations. It is the 
software which physically limits the user's access to the Internet, network 
resources, the local programs on the workstation itself. For automatic usage, 
it can take in membership card login. It is also possible to interface to 
much more advanced hardware readers such as smart card readers. The client 
is also capable of simple but important tasks such as remote shutdown, 
instant messaging, file updates and much more.

This program is intended to be used on a client machine, with the server 
machine running the nodeview package.

%package -n     %{libname}
Summary:        Openkiosk client libraries
Group:          System/Libraries
Conflicts:      %libname-devel < 2.0.6-2

%description -n %{libname}
Libraries for Openkiosk client

%package -n     %{libname}-devel
Summary:        Openkiosk client development libraries
Group:          Development/Other
Provides:	libopkdekiosk-devel
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
Development libraries for Openkiosk client

%prep

%setup -q
%patch0 -p1 -b .make-install

%build
#sed -i 's|Q_OBJECT;|Q_OBJECT|g' src/x11lock.h

export QTDIR="%{_prefix}/lib/qt3"
export KDEDIR="%{_prefix}"
export CXXFLAGS="%{optflags} -fPIC"

%configure \
    --with-qt-dir=%{_prefix}/lib/qt3 \
    --with-qt-includes=%{_prefix}/lib/qt3/include \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib}

%make CXXFLAGS="%{optflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr (-,root,root)
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}.la

%files -n %libname-devel
%defattr (-,root,root)
%{_libdir}/lib%{name}.so

%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/kiosk*
%dir  %{_datadir}/apps/openkiosk
%{_datadir}/apps/openkiosk/*
%{_datadir}/config/kioskclientrc
%{_datadir}/apps/kicker/applets/%{name}.desktop
%dir %{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/%{name}/index*
%{_datadir}/doc/HTML/en/%{name}/common




%changelog
* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.6-2mdv2008.1
+ Revision: 114259
- [BUGFIX] Move .la file out -devel package (Bug #35882)


* Sun Jan 14 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.6-1mdv2007.0
+ Revision: 108460
- Import opkdekiosk

* Sat Jan 13 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.6-1mdv2007.1
- now opkdekiosk-2.0.6
- P1: fix make install

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1b-3mdk
- Remove redundant buildRequires
- use mkrel

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.1b-2mdk
- merge stuff from the Corporate Club package
- make it compile on x86_64

* Thu Mar 17 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.3.1b-1mdk
- first Mandrakelinux packaging

